datacache <- new.env(hash=TRUE, parent=emptyenv())

bovinebtentrezg <- function() showQCData("bovinebtentrezg", datacache)
bovinebtentrezg_dbconn <- function() dbconn(datacache)
bovinebtentrezg_dbfile <- function() dbfile(datacache)
bovinebtentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
bovinebtentrezg_dbInfo <- function() dbInfo(datacache)

bovinebtentrezgORGANISM <- "Bos taurus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "bovinebtentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("BOVINECHIP_DB", "bovinebtentrezg", "chip bovinebtentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("bovinebtentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(bovinebtentrezg_dbconn())
}

